• Post Reply Bookmark Topic Watch Topic
  • New Topic

trying to run an older javascript on win 8.1  RSS feed

 
Greenhorn
Posts: 5
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Any pointers would be greatly appreciated!

Im trying to run an older javascript on win 8.1. I have a bit of coding experience in processing.


Can someone tell me what this error means and how I can fix it? See attachment screen shot.

Thanks!
java-error.png
[Thumbnail for java-error.png]
 
Author and ninkuma
Marshal
Posts: 66307
152
IntelliJ IDE Java jQuery Mac Mac OS X
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Welcome to the Ranch.

Please be sure to take the time to compose descriptive subjects for your posts. You will attract people who will can give you better and faster answers when your posts have good, descriptive subjects. For more information, please click this link ⇒ UseAMeaningfulSubjectLine.

Using a title such as "please help" isn't going to attract the attention of those who can best help you.

I have updated the subject for you -- please use it as a guide for future topics.
 
Bear Bibeault
Author and ninkuma
Marshal
Posts: 66307
152
IntelliJ IDE Java jQuery Mac Mac OS X
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
P.S. This is a Java message, not JavaScript. They are completely different languages despite the unfortunate name collision.
 
Bear Bibeault
Author and ninkuma
Marshal
Posts: 66307
152
IntelliJ IDE Java jQuery Mac Mac OS X
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
This is most likely because you have Java classes that were compiled using Java 1.8, but are trying to run them in a Java 1.7 virtual machine.

You'll either need to recompile the classes with Java 1.7, or use the Java 1.8 virtual machine to run them.

Or, it may be something else. I'm not a Windows user, so someone with Windows experience may have other ideas.
 
Bruce Rolff
Greenhorn
Posts: 5
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Thanks for that bear. I'm an infant in this but willing to learn. Did a little processing coding for fun a couple years back, and some html experience, thats about it.

Anybody with windows experience who can help?
 
Bruce Rolff
Greenhorn
Posts: 5
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Bear Bibeault wrote:This is most likely because you have Java classes that were compiled using Java 1.8, but are trying to run them in a Java 1.7 virtual machine.

You'll either need to recompile the classes with Java 1.7, or use the Java 1.8 virtual machine to run them.

Or, it may be something else. I'm not a Windows user, so someone with Windows experience may have other ideas.


Bear don't you mean run it in 1.7 or recompile to 1.8?
 
Bear Bibeault
Author and ninkuma
Marshal
Posts: 66307
152
IntelliJ IDE Java jQuery Mac Mac OS X
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Yeah, sorry -- flipped things by typing too quickly.

Essentially, you want to be sure that the classes are compiled using the same version or earlier.
 
Bruce Rolff
Greenhorn
Posts: 5
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
OK So thanks to bear I found a workaround for now. I downgraded my java and now it works!

Thanks!
 
Bear Bibeault
Author and ninkuma
Marshal
Posts: 66307
152
IntelliJ IDE Java jQuery Mac Mac OS X
 
It is sorta covered in the JavaRanch Style Guide.
  • Post Reply Bookmark Topic Watch Topic
  • New Topic
Boost this thread!